---
title: "v1.0.1"
linkTitle: "v1.0.1"
date: 2021-06-21
description: >
  Cloud Provider Azure v1.0.1
--- 

# Major changes since v1.0.0

Cloud Provider Azure v1.0.1 includes several critical bug fixes. The images are available at:

- `mcr.microsoft.com/oss/kubernetes/azure-cloud-node-manager:v1.0.1`
- `mcr.microsoft.com/oss/kubernetes/azure-cloud-controller-manager:v1.0.1`

## Changes by Kind

### Documentation

- Chore: update docs for service tags NSG ([#647](https://github.com/kubernetes-sigs/cloud-provider-azure/pull/647), [@feiskyer](https://github.com/feiskyer))
- Docs: add 'securityGroupResourceGroup' cloud-config value ([#668](https://github.com/kubernetes-sigs/cloud-provider-azure/pull/668), [@aslafy-z](https://github.com/aslafy-z))

### Failing Test

- Fix: serviceOwnsFrontendIP shouldn't report error when the public IP doesn't match ([#649](https://github.com/kubernetes-sigs/cloud-provider-azure/pull/649), [@feiskyer](https://github.com/feiskyer))

### Bug or Regression

- Do not set cached Sku when updating VMSS and VMSS instances ([#630](https://github.com/kubernetes-sigs/cloud-provider-azure/pull/630), [@feiskyer](https://github.com/feiskyer))
- Fix: cleanup outdated routes ([#661](https://github.com/kubernetes-sigs/cloud-provider-azure/pull/661), [@nilo19](https://github.com/nilo19))
- Fix: make tags case-insensitive for both keys and values ([#669](https://github.com/kubernetes-sigs/cloud-provider-azure/pull/669), [@nilo19](https://github.com/nilo19))

### Other (Cleanup or Flake)

- Chore: add e2e test for byo public IP ([#627](https://github.com/kubernetes-sigs/cloud-provider-azure/pull/627), [@nilo19](https://github.com/nilo19))
- Chore: add more buckets for operation metrics ([#656](https://github.com/kubernetes-sigs/cloud-provider-azure/pull/656), [@andyzhangx](https://github.com/andyzhangx))
- Chore: only reconciling routes in cloud controller manager ([#671](https://github.com/kubernetes-sigs/cloud-provider-azure/pull/671), [@nilo19](https://github.com/nilo19))
- Chore: set default config secret name and namespace ([#662](https://github.com/kubernetes-sigs/cloud-provider-azure/pull/662), [@nilo19](https://github.com/nilo19))
- Fix: wait for the success of the initial run of syncRegionZonesMap ([#646](https://github.com/kubernetes-sigs/cloud-provider-azure/pull/646), [@nilo19](https://github.com/nilo19))
- Update Azure Go SDK to v55.0.0 ([#643](https://github.com/kubernetes-sigs/cloud-provider-azure/pull/643), [@feiskyer](https://github.com/feiskyer))
- Upgrade to 2020-02-01/storage ([#628](https://github.com/kubernetes-sigs/cloud-provider-azure/pull/628), [@andyzhangx](https://github.com/andyzhangx))
- Add CreateOrUpdateBackendPools() interface for LoadBalancer client ([#620](https://github.com/kubernetes-sigs/cloud-provider-azure/pull/620), [@feiskyer](https://github.com/feiskyer))
- Feat: add NFSv3 account creation support ([#633](https://github.com/kubernetes-sigs/cloud-provider-azure/pull/633), [@andyzhangx](https://github.com/andyzhangx))
- Fix: no sleep when GetDisk is throttled ([#629](https://github.com/kubernetes-sigs/cloud-provider-azure/pull/629), [@andyzhangx](https://github.com/andyzhangx))
